<div class="row">
  <div class="col-2 col-sm-1 col-md-2 col-lg-2">
    <img [src]="'data:image/webp;base64,' + post.author.profilePicture" class="user-pic" alt="Avatar">
  </div>
  <div class="col-10 col-sm-11 col-md-10 col-lg-10">
    <div class="row">
      <div class="col-12">
        <span class="font-weight-bold">{{post.author.firstName}} {{post.author.lastName}}</span>
        <a class="text-danger float-right mr-sm-2" href="javascript:void(0)" (click)="deletePost(post)" *ngIf="currentUser.id == post.author.id"><i class="fas fa-trash"></i></a>
        <a class="float-right mr-1 mr-sm-2" href="javascript:void(0)" (click)="openEditModal()" *ngIf="currentUser.id == post.author.id"><i class="fas fa-edit"></i></a>
      </div>
    </div>
    <div class="row post-date-row">
      <div class="col-6">
        <span class="post-date">{{post.date | timeAgo }}</span>
      </div>
      <div class="col-6 mt-1">
        <span class="badge badge-pill badge-primary float-right" *ngIf="post.register">{{post.register.name}}</span>
        <span class="badge badge-pill badge-primary float-right" *ngIf="post.organization">{{post.organization.name}}</span>
        <span class="badge badge-pill badge-primary float-right" *ngIf="post.ensemble">{{post.ensemble.name}}</span>
        <span class="badge badge-pill badge-primary float-right" *ngIf="post.orgaGroup">{{post.orgaGroup.name}}</span>
        <span class="badge badge-pill badge-primary float-right" *ngIf="post.project">{{post.project.name}}</span>
      </div>
    </div>
  </div>
</div>
<div class="row mt-2">
  <div class="col-12">
    <div [innerHTML]="post.content"></div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <button class="btn btn-secondary btn-sm btn-block" (click)="getComments()" *ngIf="!showComments">Kommentare anzeigen <span *ngIf="commentCounter">({{commentCounter}})</span></button>
    <button class="btn btn-secondary btn-sm btn-block" (click)="showComments = !showComments" *ngIf="showComments">Kommentare ausblenden</button>
  </div>
  <!--
  <div class="col-2">
    <div class="btn-group btn-block" dropdown placement="bottom right">
      <button id="button-basic" dropdownToggle type="button" class="btn btn-primary btn-sm dropdown-toggle "
              aria-controls="dropdown-basic">
        mehr <span class="caret"></span>
      </button>
      <ul id="dropdown-basic" *dropdownMenu class="dropdown-menu dropdown-menu-right"
          isProjectEditor="menu" aria-labelledby="button-basic">
        <li isProjectEditor="menuitem" *ngIf="currentUser.id == post.author.id"><a class="dropdown-item" href="#">löschen</a></li>
        <li isProjectEditor="menuitem"><a class="dropdown-item" href="#">melden</a></li>
      </ul>
    </div>
  </div>
  -->
</div>
<div class="row answerSection mt-2" *ngIf="showComments">
  <div class="col-12">
    <div class="input-group input-group-sm">
      <input id="descriptionInput" class="form-control" type="text"
             [(ngModel)]="newComment.content" placeholder="Kommentieren..."
             name="answer"/>
      <div class="input-group-append">
        <button class="btn btn-outline-primary btn-sm" type="button" (click)="createNewComment()"><i class="fas fa-share-square"></i></button>
      </div>
    </div>
    <ng-container *ngFor="let comment of post.comments">
      <eos-post-comment [comment]="comment" [currentUser]="currentUser" (commentDeleted)="commentDeleted($event)"></eos-post-comment>
    </ng-container>
    <span *ngIf="post.comments.length <= 0" class="badge badge-info">Noch keine Kommentare vorhanden</span>
  </div>
</div>